Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::LifespanPolicy Interface Reference

`#include <LifespanPolicyC.h>`

Inheritance diagram for PortableServer::LifespanPolicy:

[legend]
Collaboration diagram for PortableServer::LifespanPolicy:

[legend]
List of all members.

## Public Types
typedef LifespanPolicy_ptr | _ptr_type
typedef LifespanPolicy_var | _var_type
## Public Member Functions
virtual ::PortableServer::LifespanPolicyValue | value ()=0 throw ( CORBA::SystemException )
virtual ::CORBA::Policy_ptr | copy ()=0 throw ( CORBA::SystemException )
virtual void | destroy ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
LifespanPolicy_ptr | _duplicate (LifespanPolicy_ptr obj)
void | _tao_release (LifespanPolicy_ptr obj)
LifespanPolicy_ptr | _narrow (CORBA::Object_ptr obj)
LifespanPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
LifespanPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute LifespanPolicyValue | value
## Protected Member Functions
| LifespanPolicy (void)
virtual | ~LifespanPolicy (void)
## Private Member Functions
| LifespanPolicy (const LifespanPolicy &)
void | operator= (const LifespanPolicy &)

## Member Typedef Documentation

typedef LifespanPolicy_ptr PortableServer::LifespanPolicy::_ptr_type

| Implements CORBA::Policy.

typedef LifespanPolicy_var PortableServer::LifespanPolicy::_var_type

| Implements CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::LifespanPolicy::LifespanPolicy | ( | void |  | ) | `[protected]`

PortableServer::LifespanPolicy::~LifespanPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::LifespanPolicy::LifespanPolicy | ( | const LifespanPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::LifespanPolicy_ptr PortableServer::LifespanPolicy::_duplicate | ( | LifespanPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::LifespanPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Policy.

virtual CORBA::Boolean PortableServer::LifespanPolicy::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements CORBA::Policy.

LifespanPolicy_ptr PortableServer::LifespanPolicy::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

LifespanPolicy_ptr PortableServer::LifespanPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Implements CORBA::Policy.

void PortableServer::LifespanPolicy::_tao_release | ( | LifespanPolicy_ptr | obj | ) | `[static]`

LifespanPolicy_ptr PortableServer::LifespanPolicy::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

virtual ::CORBA::Policy_ptr PortableServer::LifespanPolicy::copy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::LifespanPolicy.

virtual void PortableServer::LifespanPolicy::destroy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::LifespanPolicy.

CORBA::Boolean PortableServer::LifespanPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Policy.

void PortableServer::LifespanPolicy::operator= | ( | const LifespanPolicy & |  | ) | `[private]`

virtual ::PortableServer::LifespanPolicyValue PortableServer::LifespanPolicy::value | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::Portable_Server::LifespanPolicy.

## Member Data Documentation

readonly attribute LifespanPolicyValue PortableServer::LifespanPolicy::value

The documentation for this interface was generated from the following files:

- LifespanPolicy.pidl
- LifespanPolicyC.h
- LifespanPolicyC.cpp